Jump to content
jamescdow

Does anyone know how to purge on 2011??

Recommended Posts

jamescdow

i've being trying to purge the layers on one of my drawing but everything i do it asks me to type in the layers that need purging rather than telling me what the empty layers are. can anyone help

 

cheers

Share this post


Link to post
Share on other sites
BlackBox

Congrats on your first post, and welcome to the forums!

 

Try using the standard ._purge command instead of the command line version (._-purge), does that work for you?

Share this post


Link to post
Share on other sites
jamescdow

hi cheers for your response.

 

i tried using that command instead but it still came up asking me to type in what layers i wanted to purge. i am quite new to autocad2011 as it have only just become available on mac (previously i have been working on vectorworks). i basically want to purge all the classes and layers on a drawing i have uploaded, that have no info on them, without having to go through the laborious process of checking though the classes and layers individually.

 

thanks for your help.

Share this post


Link to post
Share on other sites
BlackBox

(defun c:PurgeAll (/ activeDoc)
 (vl-load-com)
 (if (setq activeDoc (vla-get-activedocument (vlax-get-acad-object)))
   (vla-purgeall activeDoc))
 (princ))

 

 

... Happy coding! :)

Share this post


Link to post
Share on other sites
BlackBox

Even better:

 

(defun c:PurgeLay ()
 (command "._-purge" "_layers" "*" "_no"))

Edited by BlackBox
Typo

Share this post


Link to post
Share on other sites
ReMark

Are there any other commands that do not display their associated windows or dialog boxes?

Share this post


Link to post
Share on other sites
jamescdow

do i type this in to the command box. apologies for my ignorance on this matter

Many thanks

Share this post


Link to post
Share on other sites
BlackBox
Are there any other commands that do not display their associated windows or dialog boxes?

 

 

Of course :oops: :

 

(setvar 'filedia 1)

Share this post


Link to post
Share on other sites
BlackBox
do i type this in to the command box. apologies for my ignorance on this matter

Many thanks

 

First, try setting the filedia system variable to 1, then use your normal command again... if that doesn't work, then we'll go there.

Share this post


Link to post
Share on other sites
rkent

The layer manager will tell you which layers are empty by way of a gray box to the left of the name, sort by the status column, select all the empty layers, right click, delete.

Share this post


Link to post
Share on other sites
ReMark
The layer manager will tell you which layers are empty by way of a gray box to the left of the name, sort by the status column, select all the empty layers, right click, delete.

 

This guy just makes it look so easy.:) Wish I were that smart.:oops:

 

Another great tip.:D

Share this post


Link to post
Share on other sites
BlackBox
This guy just makes it look so easy.:) Wish I were that smart.:oops:

 

Another great tip.:D

 

 

I do jump to writing code, far too quickly, don't I. :(

Share this post


Link to post
Share on other sites
ReMark
I do jump to writing code, far too quickly, don't I. :(

 

Attributed to your big, kind heart, your lightening quick brain and nimble fingers.

Share this post


Link to post
Share on other sites
rkent

:lol:

This guy just makes it look so easy.:) Wish I were that smart.:oops:

 

Another great tip.:D

 

LOL

 

Its the difference between a 'C' student (me) and an 'A' student (Renderman). :lol:

This is in reference to a graduation commencement speach I heard years ago with the speaker alluding to the difference in how students think.

 

http://preview.tinyurl.com/26yepu7

Share this post


Link to post
Share on other sites
BlackBox
Attributed to your big, kind heart, your lightening quick brain and nimble fingers.

 

 

I would like to express my gratitude for your kind words, and confidence in my abilities... Especially because I've only been coding for less than a year, lmao :lol:

(This is my inner-nerd speaking)

... I'm really giddy, because my *schnazzy* new PC is coming pre-loaded with Acad LDC 2009, and Acad C3D 2011, MS V8i, Visual Studio Express, ObjectARX SDK, MS V8i MDL SDK, and more! I cannot wait to jump into either C#.NET, or VB.NET! I love getting new Object Models. :geek:

:lol:

 

LOL

 

Its the difference between a 'C' student (me) and an 'A' student (Renderman). :lol:

This is in reference to a graduation commencement speach I heard years ago with the speaker alluding to the difference in how students think.

 

http://preview.tinyurl.com/26yepu7

 

 

You're too kind, and incorrect.

 

In high school I was a B student at best... in college I realized that was because I was bored. As I attended a Military College, I didn't have time to be bored. lmao Then I stepped my game up. 8)

 

The initial story was hilarious (I didn't take the time to read the whole thing, yet). Thanks for sharing!

Share this post


Link to post
Share on other sites
ReMark

We each took a different journey to get to where we are at this point in time. That journey has shaped us differently too. For the better I believe. Strengths and weakness make us who we are. Collectively, as this forum truly demonstrates, we are formidable. Keep up the great work guys. You embody the heart and soul of CADTutor.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...